Subject: Re: Second patch for imapd under Panther

From: Chris Bunch <[email-masked]>
Date: Sun, 23 Nov 2003 14:20:06 +0000

--On Friday, November 21, 2003 8:30 am -0800 Mark Crispin 
<[email-masked]> wrote:

> On Fri, 21 Nov 2003, Chris Bunch wrote:
>> This builds fine omm under Mac OSX 10.3 Panther with "make oxp
>> PASSWDTYPE=pam SSLTYPE=unix SSLDIR=/usr"
>
> If you use "make oxp" you do not need "PASSWDTYPE=pam".
>
> Why do you think you need SSLDIR=/usr ?
>
>> (SSLTYPE=unix because I need both standard port 143 access locally and
>> SSL for remote access: this is working fine on MacOS X 10.2 Jaguar))
>
> If you use a good quality IMAP client, it will negotiate TLS on port 143
> and you would not need SSLTYPE=unix.  SSLTYPE=unix is unsafe since if
> anyone installs a sniffer on your network they can steal passwords.
>
>> I can connect fine via 143 but it doesn't authenticate login:
>
> Did you set up PAM for IMAP?  You need an /etc/pam.d/imap (or whatever
> MacOS uses).
>
> Note that I am not a MacOS expert.
>
> -- Mark --

Thanks Mark:

> If you use "make oxp" you do not need "PASSWDTYPE=pam".
> Why do you think you need SSLDIR=/usr ?

Agreed. Works fine without.

> If you use a good quality IMAP client, it will negotiate TLS on port 143
> and you would not need SSLTYPE=unix.

Also agreed. Mulberry does this fine. Entourage seems not to. However some 
of my users (including me) use SquirrelMail/PHP occasionally for web 
access. I have SM/PHP running on the same box as imapd and at the moment 
the only way I can get them to communicate is via standard authentication 
on 143. [This is probably a local PHP configuration issue as I believe 
others have been more successful: my next project!]. External access to 143 
on this box is firewalled. Not ideal, certainly, but it works.

Regards

Chris
_______________________________